<?php

namespace Shop\Domain\Stock\Contracts;

use Repo\EntityInterface;

/**
 * Description of Stock
 *
 * @author Diamond Code Generator
 */
interface StockEntityInterface extends EntityInterface
{
    /**
     * @return string|null
     */
    public function getTitle();

    /**
     * @return string|null
     */
    public function getType();

    /**
     * @return string|null
     */
    public function getLogo();

    /**
     * @return string|null
     */
    public function getImage();


    public function countManagers();

    /**
     * @param int $v
     * @return mixed
     */
    public function setCountChildrens(int $v);

    /**
     * @return int
     */
    public function getCountChildrens():int;

    /**
     * @return int
     */
    public function getContractorId();
}             